package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractMemberManagementInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractMemberManagementInfo()
    {
        this("id");
    }
    protected AbstractMemberManagementInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.hr.project.MemberManagementEntryCollection());
    }
    /**
     * Object: 项目成员管理 's 分录 property 
     */
    public com.kingdee.eas.hr.project.MemberManagementEntryCollection getEntrys()
    {
        return (com.kingdee.eas.hr.project.MemberManagementEntryCollection)get("entrys");
    }
    /**
     * Object:项目成员管理's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:项目成员管理's 项目编码property 
     */
    public String getProjectCode()
    {
        return getString("projectCode");
    }
    public void setProjectCode(String item)
    {
        setString("projectCode", item);
    }
    /**
     * Object:项目成员管理's 项目名称property 
     */
    public String getProjectName()
    {
        return getString("projectName");
    }
    public void setProjectName(String item)
    {
        setString("projectName", item);
    }
    /**
     * Object: 项目成员管理 's 项目角色 property 
     */
    public com.kingdee.eas.hr.project.ProjectRoleInfo getProjectRole()
    {
        return (com.kingdee.eas.hr.project.ProjectRoleInfo)get("projectRole");
    }
    public void setProjectRole(com.kingdee.eas.hr.project.ProjectRoleInfo item)
    {
        put("projectRole", item);
    }
    /**
     * Object: 项目成员管理 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getEmployee()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("employee");
    }
    public void setEmployee(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("employee", item);
    }
    /**
     * Object:项目成员管理's 备注property 
     */
    public String getNotes()
    {
        return getString("notes");
    }
    public void setNotes(String item)
    {
        setString("notes", item);
    }
    /**
     * Object:项目成员管理's 是否状态property 
     */
    public com.kingdee.shr.base.syssetting.BaseItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BaseItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BaseItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    /**
     * Object: 项目成员管理 's 项目管理 property 
     */
    public com.kingdee.eas.hr.project.ProjectManagementInfo getProjectManagement()
    {
        return (com.kingdee.eas.hr.project.ProjectManagementInfo)get("projectManagement");
    }
    public void setProjectManagement(com.kingdee.eas.hr.project.ProjectManagementInfo item)
    {
        put("projectManagement", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("B49500FE");
    }
}